Bug 426483 - network control center does not start
network control center does not start
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-21 10:00 EST by Mathias Lehnfeld
Modified: 2008-02-25 09:56 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-25 09:56:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the error riport given by system-config-network (6.34 KB, application/octet-stream)
2007-12-21 10:00 EST, Mathias Lehnfeld
no flags Details

  None (edit)
Description Mathias Lehnfeld 2007-12-21 10:00:11 EST
Description of problem:
giving error message when starting the network configuration -- wlan connection
doesn't work at startup. LAN-connection not possible because deactivated at
startup. changes can't be made because network configuration doesn't work. so i
can't connect to the internet in fc8.


Version-Release number of selected component (if applicable):
1.4.3


Summary:
TB20d3cafa __init__.py:13:<module>:ImportError: /lib/libasound.so.2: undefined
symbol: midiparser_input_buf

Traceback (most recent call last):
  File "/usr/sbin/system-config-network-gui", line 139, in runit
    import gnome
  File "/usr/lib/python2.5/site-packages/gtk-2.0/gnome/__init__.py", line 13, in
<module>
    from _gnome import *
ImportError: /lib/libasound.so.2: undefined symbol: midiparser_input_buf

Local variables in innermost frame:
__builtins__: {'IndexError': <type 'exceptions.IndexError'>, 'all': <built-in
function all>, 'help': Type help() for interactive help, or help(object) for
help about object., 'vars': <built-in function vars>, 'SyntaxError': <type
'exceptions.SyntaxError'>, 'unicode': <type 'unicode'>, 'UnicodeDecodeError':
<type 'exceptions.UnicodeDecodeError'>, 'isinstance': <built-in function
isinstance>, 'copyright': Copyright (c) 2001-2007 Python Software Foundation.
All Rights Reserved.

Copyright (c) 2000 BeOpen.com.
All Rights Reserved.

Copyright (c) 1995-2001 Corporation for National Research Initiatives.
All Rights Reserved.

Copyright (c) 1991-1995 Stichting Mathematisch Centrum, Amsterdam.
All Rights Reserved., 'NameError': <type 'exceptions.NameError'>, 'dict': <type
'dict'>, 'input': <built-in function input>, 'oct': <built-in function oct>,
'SystemExit': <type 'exceptions.SystemExit'>, 'StandardError': <type
'exceptions.StandardError'>, 'repr': <built-in function repr>, 'sorted':
<built-in function sorted>, 'False': False, 'RuntimeWarning': <type
'exceptions.RuntimeWarning'>, 'list': <type 'list'>, 'iter': <built-in function
iter>, 'reload': <built-in function reload>, 'Warning': <type
'exceptions.Warning'>, 'round': <built-in function round>, 'dir': <built-in
function dir>, 'cmp': <built-in function cmp>, 'set': <type 'set'>, 'reduce':
<built-in function reduce>, 'intern': <built-in function intern>, 'issubclass':
<built-in function issubclass>, 'Ellipsis': Ellipsis, 'EOFError': <type
'exceptions.EOFError'>, 'locals': <built-in function locals>, 'slice': <type
'slice'>, 'FloatingPointError': <type 'exceptions.FloatingPointError'>, 'sum':
<built-in function sum>, 'getattr': <built-in function getattr>, 'abs':
<built-in function abs>, 'exit': Use exit() or Ctrl-D (i.e. EOF) to exit,
'True': True, 'FutureWarning': <type 'exceptions.FutureWarning'>,
'ImportWarning': <type 'exceptions.ImportWarning'>, 'None': None, 'hash':
<built-in function hash>, 'len': <built-in function len>, 'credits':     Thanks
to CWI, CNRI, BeOpen.com, Zope Corporation and a cast of thousands
    for supporting Python development.  See www.python.org for more
information., 'frozenset': <type 'frozenset'>, '__name__': '__builtin__', 'ord':
<built-in function ord>, 'super': <type 'super'>, '_': <bound method
i18n.gettext of <rhpl.translate.i18n instance at 0xb7ce8cec>>, 'TypeError':
<type 'exceptions.TypeError'>, 'license': See
http://www.python.org/2.5/license.html, 'KeyboardInterrupt': <type
'exceptions.KeyboardInterrupt'>, 'UserWarning': <type 'exceptions.UserWarning'>,
'filter': <built-in function filter>, 'range': <built-in function range>,
'staticmethod': <type 'staticmethod'>, 'SystemError': <type
'exceptions.SystemError'>, 'BaseException': <type 'exceptions.BaseException'>,
'pow': <built-in function pow>, 'RuntimeError': <type
'exceptions.RuntimeError'>, 'float': <type 'float'>, 'MemoryError': <type
'exceptions.MemoryError'>, 'StopIteration': <type 'exceptions.StopIteration'>,
'globals': <built-in function globals>, 'divmod': <built-in function divmod>,
'enumerate': <type 'enumerate'>, 'apply': <built-in function apply>,
'LookupError': <type 'exceptions.LookupError'>, 'open': <built-in function
open>, 'quit': Use quit() or Ctrl-D (i.e. EOF) to exit, 'basestring': <type
'basestring'>, 'UnicodeError': <type 'exceptions.UnicodeError'>, 'zip':
<built-in function zip>, 'hex': <built-in function hex>, 'long': <type 'long'>,
'ReferenceError': <type 'exceptions.ReferenceError'>, 'ImportError': <type
'exceptions.ImportError'>, 'chr': <built-in function chr>, 'xrange': <type
'xrange'>, 'type': <type 'type'>, '__doc__': "Built-in functions, exceptions,
and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents
`...' in slices.", 'Exception': <type 'exceptions.Exception'>, 'tuple': <type
'tuple'>, 'UnicodeTranslateError': <type 'exceptions.UnicodeTranslateError'>,
'reversed': <type 'reversed'>, 'UnicodeEncodeError': <type
'exceptions.UnicodeEncodeError'>, 'IOError': <type 'exceptions.IOError'>,
'hasattr': <built-in function hasattr>, 'delattr': <built-in function delattr>,
'setattr': <built-in function setattr>, 'raw_input': <built-in function
raw_input>, 'SyntaxWarning': <type 'exceptions.SyntaxWarning'>, 'compile':
<built-in function compile>, 'ArithmeticError': <type
'exceptions.ArithmeticError'>, 'str': <type 'str'>, 'property': <type
'property'>, 'GeneratorExit': <type 'exceptions.GeneratorExit'>, 'int': <type
'int'>, '__import__': <built-in function __import__>, 'KeyError': <type
'exceptions.KeyError'>, 'coerce': <built-in function coerce>,
'PendingDeprecationWarning': <type 'exceptions.PendingDeprecationWarning'>,
'file': <type 'file'>, 'EnvironmentError': <type 'exceptions.EnvironmentError'>,
'unichr': <built-in function unichr>, 'any': <built-in function any>, 'OSError':
<type 'exceptions.OSError'>, 'DeprecationWarning': <type
'exceptions.DeprecationWarning'>, 'min': <built-in function min>,
'UnicodeWarning': <type 'exceptions.UnicodeWarning'>, 'execfile': <built-in
function execfile>, 'id': <built-in function id>, 'complex': <type 'complex'>,
'bool': <type 'bool'>, 'ValueError': <type 'exceptions.ValueError'>,
'NotImplemented': NotImplemented, 'map': <built-in function map>, 'buffer':
<type 'buffer'>, 'max': <built-in function max>, 'object': <type 'object'>,
'TabError': <type 'exceptions.TabError'>, 'callable': <built-in function
callable>, 'ZeroDivisionError': <type 'exceptions.ZeroDivisionError'>, 'eval':
<built-in function eval>, '__debug__': True, 'IndentationError': <type
'exceptions.IndentationError'>, 'AssertionError': <type
'exceptions.AssertionError'>, 'classmethod': <type 'classmethod'>,
'UnboundLocalError': <type 'exceptions.UnboundLocalError'>,
'NotImplementedError': <type 'exceptions.NotImplementedError'>,
'AttributeError': <type 'exceptions.AttributeError'>, 'OverflowError': <type
'exceptions.OverflowError'>}
__file__: None
__path__: None
__name__: None
__doc__: None
Comment 1 Mathias Lehnfeld 2007-12-21 10:00:11 EST
Created attachment 290240 [details]
the error riport given by system-config-network
Comment 2 Harald Hoyer 2008-01-08 06:06:57 EST
ImportError: /lib/libasound.so.2: undefined symbol: midiparser_input_buf

$ rpm -qf /lib/libasound.so.2*
alsa-lib.....
Comment 3 Martin Stransky 2008-02-25 09:56:10 EST
midiparser_input_buf is not a part of alsa-lib. Update your application.

Note You need to log in before you can comment on or make changes to this bug.